#include "extdll.h"
#include "util.h"

#include "cbase.h"
#include "nodes.h"
#include "weapons.h"
#include "soundent.h"
#include "monsters.h"
#include "animation.h"
#include "talkmonster.h"
#include "decals.h"
#include "gamerules.h"
#include "effects.h"
#include "aura.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "player.h"
#include "../bot/bot_util.h"
#include "buddy_classes.h"
#include "buddy_aura.h"
#include "buddy.h"
#include "buddy_weapons.h"

const char *szBuddyClassNames[]=
{
	"base",
	"guldo",
};

// Base Class
const char *CBaseBuddyClass::GetName( int id )
{	if (id >= 0 && id < BC_LAST)
		return szBuddyClassNames[id];
	else 
		return NULL;
}

void CBaseBuddyClass::SetModel()
{
	char name[255];
	sprintf (name, "models/player/%s/%s.mdl", GetModelName(), GetModelName());
	SET_MODEL(m_pBuddy->edict(), name);
}

// Jeice class
void CGuldo::GiveAttacks()
{
	m_pBuddy->m_WeaponList.AddNode(new CBuddyMelee(m_pBuddy));
	m_pBuddy->m_WeaponList.AddNode(new CBuddyKiblast(m_pBuddy));
	m_pBuddy->m_WeaponList.AddNode(new CBuddyGenericBeam(m_pBuddy));
}